## blockattack 1.4.1+ds1

=== debian/control ===
Source: blockattack
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 docbook-to-man,
 texlive-binaries,
 texlive-latex-base,
 libsdl-mixer1.2-dev,
 libsdl-image1.2-dev,
 libsdl1.2-dev,
 libenet-dev (>= 1.3.1),
 libphysfs-dev,
 scons
Standards-Version: 3.9.1
Homepage: http://blockattack.sf.net
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/blockattack/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/blockattack/?op=log

Package: blockattack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: puzzle game inspired by Tetris
 Block Attack is a puzzle/blockfall game inspired by Nintendo's Tetris Attack
 for the Super Nintendo. The game is pretty action packed for a puzzle game :-)
 .
 Features:
  * Based on the classic "Tetris Attack" for the SNES 
  * 5 single player modes: Endless, Time Trial, Puzzle Mode, Stage Clear and
  Vs. Mode 
  * 2 two player options: Time Trial and Vs. Mode
  * Puzzle mode has 20+ puzzles
  * Players can use a custom key setup
  * Handicap in multiplayer
  * Highscores are saved 
  * Joypad support
  * Music and sound effects 
  * Animations
  * Select puzzle file from a list in the game 
 .
 System requirements:
  * Screen resolution: 1024x768 (cannot be changed, but it can run in a window)
  * Keyboard
  * Mouse (optional)
  * Processor: Decent (tested on 733 MHz)
  * Memory: at least 64 MB
