=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d*// http://sf.net/blockattack/blockattack-([\d\.]+)\.tar\.gz
