=== debian/changelog ===
blockattack (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Move the package to Git. Update Vcs-* fields accordingly.

 -- Markus Koschany <apo@debian.org>  Thu, 07 Jan 2016 08:40:17 +0100

blockattack (1.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Acknowledge NMU by Jonathan Wiltshire. Thanks.
  * New upstream release. The upstream tarball is pristine now.
  * Rebuild against GCC-5. (Closes: #793219)
  * Remove README.source.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * debian/watch: Make the extension regex more flexible to detect the latest
    releases.
  * Update debian/copyright to copyright format 1.0.
  * Simplify get-orig-source.
  * Use old blockattack*.xpm icons from version 1.4.1 because the new icon
    Game/gfx/icon.png has a poorer resolution.
  * Remove debian/block_attack_manual.tex and use upstream's file instead.
  * debian/docs: Don't install README and adjust the path to AUTHORS file.
  * Update debian/blockattack.desktop. Add keywords and a comment in German.
    Use blockattack64.xpm because of the better resolution.
  * Drop all patches. Fixed upstream.
  * debian/menu: Use the absolute icon path to display the menu icon.
    (Closes: #726212)
  * Remove override for dh_installchangelogs because there is no changelog to
    install.
  * Update debian/clean file and ensure that the game can be built twice in a
    row.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

  [ Paul Wise ]
  * Drop gcc47.diff. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Jan 2016 12:27:58 +0100
