=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
	cp debian/blockattack.desktop .
	cp debian/icons/* .
	latex source/manual/block_attack_manual.tex
	dvipdfm block_attack_manual.dvi
	scons prefix=/usr sharedir=/usr/share/games/blockattack
	./packdata.sh

override_dh_auto_clean:
	scons -c

override_dh_auto_install:
	dh_installdirs
	find Game -type f -exec chmod 644 {} \;
	scons prefix=/usr \
		bindir=/usr/games \
		mandir=/usr/share/man \
		sharedir=/usr/share/games/blockattack \
		destdir=$(CURDIR)/debian/blockattack install

get-orig-source:
	uscan --download-current-version --force-download
