=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/blockattack/blockattack-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
