## blockattack 2.0.0

=== debian/changelog ===
blockattack (2.0.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:11:39 +0000

blockattack (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * The project moved to Github. Update debian/watch.
  * Imported Upstream version 2.0.0.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * Switch from SDL1 to SDL2.
  * Remove libenet-dev from Build-Depends. Network mode is gone.
  * Switch from scons to cmake.
  * Add libboost-dev, libutfcpp-dev, libboost-program-options-dev,
    libjsoncpp-dev and SDL2 to Build-Depends.
  * Update debian/rules for new build system.
  * The manual has been removed. Drop latex build-dependencies.
  * Do not install the manual because it is gone.
  * Add install-path.patch and install locales into /usr/share but the game
    data into /usr/share/games.
  * Drop useless doc-base file.
  * Export DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * debian/menu: Fix icon path.
  * Remove icons directory and use upstream's icons.
  * Update debian/copyright for new release.
  * Add bad-whatis-entry.patch and fix the Lintian warning of the same name.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Jun 2016 20:19:38 +0200
