=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 Uploaders:
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
+ cmake,
  debhelper (>= 9),
  docbook-to-man,
- libenet-dev (>= 1.3.1),
+ libboost-dev,
+ libboost-program-options-dev,
+ libjsoncpp-dev,
  libphysfs-dev,
- libsdl-image1.2-dev,
- libsdl-mixer1.2-dev,
- libsdl1.2-dev,
- scons,
- texlive-binaries,
- texlive-latex-base,
+ libsdl2-dev,
+ libsdl2-image-dev,
+ libsdl2-mixer-dev,
+ libsdl2-ttf-dev,
+ libutfcpp-dev,
  zip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://blockattack.sf.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/blockattack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git
 
 Package: blockattack
