=== debian/changelog ===
blockattack (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.1.
  * Install ReleaseNotes-2.0.1.txt as upstream changelog.
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Oct 2016 16:57:36 +0200
