=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,
