=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -18,7 +18,7 @@
 	./packdata.sh
 
 override_dh_installchangelogs:
-	dh_installchangelogs ReleaseNotes-2.0.0.txt
+	dh_installchangelogs ReleaseNotes-2.0.1.txt
 
 get-orig-source:
 	uscan --download-current-version --force-download
