=== debian/changelog ===
blockattack (2.1.2-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:10:13 +0000

blockattack (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.2.
  * Declare compliance with Debian Policy 4.0.1.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Aug 2017 16:57:43 +0200

blockattack (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.1.
  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file.
  * Use https for Format field.
  * Drop bad-whatis-entry.patch. Merged upstream.
  * Refresh install-path.patch.
  * Drop libjsoncpp-dev from Build-Depends.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Jun 2017 17:30:29 +0200
