=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,
- libjsoncpp-dev,
  libphysfs-dev,
  libsdl2-dev,
  libsdl2-image-dev,
@@ -18,7 +17,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://blockattack.sf.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git
