=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
 		-DINSTALL_BIN_DIR=/usr/games \
-		-DINSTALL_DATA_DIR=/usr/share/games/blockattack
+		-DINSTALL_DATA_DIR=share/games/blockattack
 
 override_dh_auto_build:
 	dh_auto_build
@@ -18,7 +18,7 @@
 	./packdata.sh
 
 override_dh_installchangelogs:
-	dh_installchangelogs ReleaseNotes-2.0.1.txt
+	dh_installchangelogs ReleaseNotes-2.1.1.txt
 
 get-orig-source:
 	uscan --download-current-version --force-download
