=== debian/changelog ===
blockattack (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0.
  * Declare compliance with Debian Policy 4.1.5.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Jul 2018 08:14:24 +0200

blockattack (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.0.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.

 -- Markus Koschany <apo@debian.org>  Mon, 04 Jun 2018 22:53:40 +0200
