=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,
@@ -17,7 +17,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.0.1
+Standards-Version: 4.1.5
 Homepage: http://blockattack.sf.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git
