=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,5 @@
 	cp debian/blockattack.desktop .
 	./packdata.sh
 
-override_dh_installchangelogs:
-	dh_installchangelogs ReleaseNotes-2.1.1.txt
-
 get-orig-source:
 	uscan --download-current-version --force-download
