=== debian/changelog ===
blockattack (2.5.0-2) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Fix FTBFS with recent SDL2 packages (Closes: #951943)
  * d/.gitignore: Do not ignore *.patch in this directory.
    Override upstream's .gitignore, because we want to track quilt patches
    in git.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Thu, 27 Feb 2020 13:31:19 +0100

blockattack (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.0.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Sun, 04 Aug 2019 12:11:45 +0200
