=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,
@@ -17,10 +17,10 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: http://blockattack.sf.net
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git
+Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
+Vcs-Browser: https://salsa.debian.org/games-team/blockattack
 
 Package: blockattack
 Architecture: any
