=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/blockattack-game-$1\.tar\.gz/ \
  https://github.com/blockattack/blockattack-game/tags .*/v?(\d\S*)\.tar\.gz
