## blockattack 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${blockattack_SOURCE_DIR}/source/misc/cmake")
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.5.0")
+SET(CPACK_PACKAGE_VERSION "2.6.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "5")
+SET(CPACK_PACKAGE_VERSION_MINOR "6")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
@@ -40,9 +40,17 @@
 endif()
 
 if (NOT WIN32 AND NOT STANDALONE)
-#The path to the data dir must be compiled into the binary
-add_definitions(-DSHAREDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}\")
-add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE_DIR}\")
+	#The path to the data dir must be compiled into the binary
+	if (IS_ABSOLUTE ${INSTALL_DATA_DIR})
+		add_definitions(-DSHAREDIR=\"${INSTALL_DATA_DIR}\")
+	else()
+		add_definitions(-DSHAREDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}\")
+	endif()
+	if (IS_ABSOLUTE ${INSTALL_DATA_DIR})
+		add_definitions(-DLOCALEDIR=\"${INSTALL_LOCALE_DIR}\")
+	else()
+		add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE_DIR}\")
+	endif()
 endif()
 
 #Compiler options
@@ -62,6 +70,10 @@
 pkg_search_module(SDL2MIXER REQUIRED SDL2_mixer)
 pkg_search_module(SDL2IMAGE REQUIRED SDL2_image)
 pkg_search_module(SDL2TTF REQUIRED SDL2_ttf)
+
+include_directories(${SDL2MIXER_INCLUDE_DIRS})
+include_directories(${SDL2IMAGE_INCLUDE_DIRS})
+include_directories(${SDL2TTF_INCLUDE_DIRS})
 
 find_package(Boost COMPONENTS program_options REQUIRED)
