=== debian/changelog ===
blockattack (2.6.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 28 Oct 2020 13:47:53 -0400

blockattack (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.0.
  * Switch to debhelper-compat = 13.

 -- Markus Koschany <apo@debian.org>  Wed, 30 Sep 2020 16:36:36 +0200
