=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -16,6 +19,3 @@
 	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
 	cp debian/blockattack.desktop .
 	./packdata.sh
-
-get-orig-source:
-	uscan --download-current-version --force-download
