=== debian/changelog ===
blockattack (2.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Add d/salsa-ci.yml

  [ Markus Koschany ]
  * New upstream version 2.7.0.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Nov 2021 23:50:38 +0100
