=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: blockattack
 Section: games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
@@ -18,7 +17,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://blockattack.sf.net
 Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
 Vcs-Browser: https://salsa.debian.org/games-team/blockattack
